Get Document List

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/zipform-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "ZipForm API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/zipform-api/mcp"
  }
}

Close
GET /transactions/{transactionId}/documents

Returns the list of documents and forms for a given transaction, in the same order as the zipForm® Plus UI. Use excludeforms=true to return only non-form documents.

Path parameters

  • transactionId string(uuid) Required

    Transaction GUID

Query parameters

  • excludeforms boolean

    If true, only non-form documents are returned

  • page integer
  • pagesize integer
  • orderby string

    Values are name or ContentType.

  • sortorder string

    Values are asc or desc.

Responses

  • 200 application/json

    Document list returned successfully

    Hide response attribute Show response attribute object
    • value array[object]
      Hide value attributes Show value attributes object
      • id string

        Document ID or Form GUID

      • name string
      • description string
      • contentType string

        form, PDF, doc, etc.

      • version string
      • signed integer

        0=not signed, 1=Docusign, 2=zipLogix Digital Ink, 3=zipLogix Digital Ink TouchSign

      • size integer

        Size in bytes (0 for forms)

  • 204

    No content — transaction has no documents

  • 401

    Unauthorized

  • 404

    Transaction not found

GET /transactions/{transactionId}/documents
curl \
 --request GET 'https://api.pre.zipformplus.com/api/transactions/{transactionId}/documents' \
 --header "X-Auth-ContextId: $API_KEY"
Response examples (200)
{
  "value": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "contentType": "string",
      "version": "string",
      "signed": 42,
      "size": 42
    }
  ]
}